PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Hier sind alle Themen zu den PlugIns der ersten Generation des Hibiscus-Scripting Projekts gelistet
magic
Beiträge: 38
Registriert: Fr 3. Apr 2015, 21:19

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von magic » Fr 3. Apr 2015, 21:21

Hallo,
gibt es eine Möglichkeit das API-PW im PlugIn zu speichern? Es ist so lang und Un-Merkbar. Ausserdem kann man es wohl nicht ändern!?.

Gruß
Maik

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1534
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von Hibiscus-Scripter » Sa 4. Apr 2015, 03:47

Dass ist eine allgemeine Hibiscus-Funktion die von mir integriert wurde ...
Unter den Einstellungen..
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

sevi
Beiträge: 4
Registriert: Sa 31. Mai 2014, 20:18

PayPal Failed generating bytecode

Beitrag von sevi » Fr 17. Apr 2015, 20:51

Ich nutze hibiscus 2.6.12 Build 364 mit dem PayPal Skrip 2.1.10. Das ganze läuft unter openSuse 13.2 64 bit.

Ich erhalte beim Abruf des PayPal Kontoauszuges den Fehler "Failed generating bytecode for <eval>:3386". Egal ob ich es mit ScreenSrcaping oder mit API versuche.

Hier das vollständig Log für einen Versuch im API-Modus:

Code: Alles auswählen

[17.04.2015 20:29:15] Synchronisierung via Scripting läuft
[17.04.2015 20:29:15]  
[17.04.2015 20:29:15] Synchronisiere Konto: Paypal-Konto, Kto. 6161604670 [J.P. Morgan]
[17.04.2015 20:29:15] PayPal-PlugIn: Version 2.1.10 wurde gestartet ...
[17.04.2015 20:29:15] ******************************************************************************************************************
[17.04.2015 20:29:15] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[17.04.2015 20:29:15] OK: Java-Version 1.8.0_40 von 'Oracle Corporation' installiert, aktiv und verwendet Zeichensatz 'UTF-8'
[17.04.2015 20:29:15] Überprüfe HTMLUnit-Version ...
[17.04.2015 20:29:15] OK: HTMLUnit-Version 2.15 installiert und aktiv
[17.04.2015 20:29:15] PayPal-Authentifizierung mit <div class="hide" id="userName">sefradre_api1.web.de</div><span class="show" id="userNameShow"><a id="userNameShowLink" href="#" onClick="javascript:showHide('userName','show');">Anzeigen</a></span><span class="hide" id="userNameHide"><a id="userNameHideLink" href="#" onClick="javascript:showHide('userName','hide');">Ausblenden</a></span> ...
[17.04.2015 20:29:15] Starte Abruf des Kontoauszuges ...
[17.04.2015 20:29:15] Pre-Fehler: für die Sicherheit wird noch das Passwort zurückgesetzt ...
[17.04.2015 20:29:15] [PayPal] Fehler: Kontoauszug fehlerhaft! java.lang.AssertionError: Failed generating bytecode for <eval>:3386
Und bei ScreenScraping sieht es so aus:

Code: Alles auswählen

[17.04.2015 20:50:09] Synchronisierung via Scripting läuft
[17.04.2015 20:50:09]  
[17.04.2015 20:50:09] Synchronisiere Konto: Paypal-Konto, Kto. 6161604670 [J.P. Morgan]
[17.04.2015 20:50:09] PayPal-PlugIn: Version 2.1.10 wurde gestartet ...
[17.04.2015 20:50:09] ******************************************************************************************************************
[17.04.2015 20:50:09] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[17.04.2015 20:50:09] OK: Java-Version 1.8.0_40 von 'Oracle Corporation' installiert, aktiv und verwendet Zeichensatz 'UTF-8'
[17.04.2015 20:50:09] Überprüfe HTMLUnit-Version ...
[17.04.2015 20:50:09] OK: HTMLUnit-Version 2.15 installiert und aktiv
[17.04.2015 20:50:09] PayPal-Login mit sefradre@web.de ...
[17.04.2015 20:50:16] Login war erfolgreich
[17.04.2015 20:50:19] Starte Abruf des Kontoauszuges ...
[17.04.2015 20:50:19] Pre-Fehler: für die Sicherheit wird noch der Logout durchgeführt und der Passwortspeicher zurückgesetzt ...
[17.04.2015 20:50:21] [PayPal] Fehler: Kontoauszug fehlerhaft! java.lang.AssertionError: Failed generating bytecode for <eval>:3386
Was ist los? Was kann ich tun?

felixm
Beiträge: 1
Registriert: So 3. Mai 2015, 13:06

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von felixm » So 3. Mai 2015, 13:11

Hallo,

erstmal ein großes Hallo in die RUnde bei meinem ersten Post.
Zunächst mal vielen Dank für die Skripte die ich als langjähriger Hibiscus Nutzer heute das erste Mal entdeckt habe.

Leider hat mir das Paypal-Skript ein paar Probleme bereitet. Nach der automatischen API-Anmeldung wurde der Benutzername nicht sauber extrahiert sondern mitsamt jede Menge HTML-Code gespeichert. Erst nachdem ich den HTML rausgeschnitten habe, konnte ich mich mit dem zuvor notierten API-Passwort einloggen.

Herzliche Grüße

Felix

norrebo
Beiträge: 7
Registriert: Mo 18. Mai 2015, 11:27

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von norrebo » Mo 18. Mai 2015, 11:49

Hallo,
seit paar Tagen kann ich mit dem Paypal Script keine Umsätze mehr abrufen.
Ich nutze den CSV Abruf in der Version: 2.1.10
Hibiscus Version: 2.6.12

Ich bekomme folgende Fehlermeldung:
[18.05.2015 11:17:00] Synchronisierung via Scripting läuft
[18.05.2015 11:17:00]
[18.05.2015 11:17:00] Synchronisiere Konto: PayPal, Kto. XXXXXXXX [J.P. Morgan]
[18.05.2015 11:17:00] PayPal-PlugIn: Version 2.1.10 wurde gestartet ...
[18.05.2015 11:17:00] ******************************************************************************************************************
[18.05.2015 11:17:00] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[18.05.2015 11:17:00] OK: Java-Version 1.7.0_79 von 'Oracle Corporation' installiert, aktiv und verwendet Zeichensatz 'UTF-8'
[18.05.2015 11:17:00] Überprüfe HTMLUnit-Version ...
[18.05.2015 11:17:00] OK: HTMLUnit-Version 2.15 installiert und aktiv
[18.05.2015 11:17:00] PayPal-Login mit xxxxx@xxxxx.net ...
[18.05.2015 11:17:01] Login war erfolgreich
[18.05.2015 11:17:06] [PayPal] Fehler: TypeError: Cannot call method "getWebResponse" of undefined
Ein Popup Fenster zeigt folgendes:
Information
Fehlermeldung von Paypal:
You must log in before you access this page
Danach bricht die Synchronisation ab.

croconut
Beiträge: 4
Registriert: Mo 18. Mai 2015, 13:07

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von croconut » Mo 18. Mai 2015, 13:23

Hallo,
ich habe exakt das gleiche Problem!
seit paar Tagen kann ich mit dem Paypal Script keine Umsätze mehr abrufen.
Ich nutze den CSV Abruf in der Version: 2.1.10
Hibiscus Version: 2.6.12
die Fehlermeldungen sind bei mir auch exakt gleich.
Es ist keine Synchronisation möglich.
Bisher lief alles einwandfrei, habe an Programm und Login nichts verändert.

Wuschelfreak
VIP
VIP
Beiträge: 16
Registriert: Sa 23. Nov 2013, 15:08
Wohnort: Radeberg

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von Wuschelfreak » Mo 18. Mai 2015, 16:23

Hallo,

deine Ausgabe sieht für mich so aus, als ob du nicht über API abrufst. Deine Ausgabe:
[18.05.2015 11:17:00] PayPal-Login mit xxxxx@xxxxx.net ...
[18.05.2015 11:17:01] Login war erfolgre
Bei mir sieht der API abruf so aus:
[Mon May 18 16:16:14 CEST 2015][INFO][sun.reflect.GeneratedMethodAccessor11.invoke] PayPal-PlugIn: API-Saldoabruf ... (GET Encoded: https://api-3t.paypal.com/nvp?USER=**** ... GetBalance)
[Mon May 18 16:16:15 CEST 2015][INFO][sun.reflect.GeneratedMethodAccessor11.invoke] PayPal-PlugIn: API-Transaktionsabruf ... (GET Encoded: https://api-3t.paypal.com/nvp?USER=**** ... T16:16:13Z)
Schau doch mal ob du im Hibiscus unter den sync Optionen auch API eingestellt hast?

Grüße

Matthias
Viele Grüße

Matthias

Wuschelfreak
VIP
VIP
Beiträge: 16
Registriert: Sa 23. Nov 2013, 15:08
Wohnort: Radeberg

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von Wuschelfreak » Mo 18. Mai 2015, 16:25

Mist, wer lesen kann ist klar im Vorteil :oops:
Ich nutze den CSV Abruf
dann weiß ich es nicht, da ich per API abrufe.
Viele Grüße

Matthias

tom.too
Beiträge: 5
Registriert: Do 21. Mai 2015, 10:03

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von tom.too » Do 21. Mai 2015, 10:27

Hallo,

bei mir erscheint auch seit kurzem (letzter erfolgreicher Paypal-Abruf war am 06.05.2015) die Meldung "You must log in before you access this page", nachdem er eigentlich erfolgreichen LogIn meldet. Bislang erfolgte der Abruf immer ohne API. Ich habe mir aber nun auch die API-Daten beschafft und eingetragen. API-PW wird ja wohl dafür nicht benötigt. API-Abrufintervall steht auf 4032 Stunden. Aber auch mit API kommt die gleiche Fehlermeldung.

[21.05.2015 10:17:44] Synchronisierung via Scripting läuft
[21.05.2015 10:17:44]
[21.05.2015 10:17:44] Synchronisiere Konto: 04_Paypal-Konto, Kto. 6161604670 [J.P. Morgan]
[21.05.2015 10:17:44] PayPal-PlugIn: Version 2.1.10 wurde gestartet ...
[21.05.2015 10:17:44] ******************************************************************************************************************
[21.05.2015 10:17:44] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[21.05.2015 10:17:44] OK: Java-Version 1.8.0_45 von 'Oracle Corporation' installiert, aktiv und verwendet Zeichensatz 'Cp1252'
[21.05.2015 10:17:44] Überprüfe HTMLUnit-Version ...
[21.05.2015 10:17:44] OK: HTMLUnit-Version 2.15 installiert und aktiv
[21.05.2015 10:17:44] PayPal-Login mit xxxx@xxxxxx.de ...
[21.05.2015 10:17:49] Login war erfolgreich
[21.05.2015 10:19:48] [PayPal] Fehler: TypeError: Cannot read property "getWebResponse" from undefined

Jameica und Hibiscus ist die Nightly vom 19.05.2015. Vorher war eine Nightly von irgendwann aus Febr. oder März 2015 installiert. Win7 PRO hat alle aktuellen Patches.

Ich hab jetzt noch mal geprüft, welche Software ich in den letzten Tagen installiert habe. Das war nur ein Video-Converter (SUPER), die neusten Intel GraKa-Treiber und SDFormatter. Java 8 Update 45 hatte ich Mitte April installiert und danach ging Paypal auch noch.

Hm, was kann das sein?

Danke, tom.too

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1534
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: PayPal-PlugIn ver. 2.x.x - Erweiterungen und Anpassungen

Beitrag von Hibiscus-Scripter » Do 21. Mai 2015, 10:59

@All
neue Updates wird es vor der Release 3 nicht mehr geben, also bitte auf API-Abruf umstellen ...

@tom.too
Natürlich brauchst du das API-PW wie willst du sonst abrufen? Bitte die FAQs beachten
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Zurück zu „Release 2.x.x - Stable-Variante der Scripting-PlugIns des Hibiscus-Scripting Projekts“